Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.orb.core
Interface ORBImple

public interface ORBImple

The Object Request Broker interface.

Since:
  JTS 2.1.
Version:
  $Id: ORBImple.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Method Summary
`void` | `destroy()` Destroy the ORB.
`void` | `init()` Initialise the ORB.
`void` | `init(java.applet.Applet a, java.util.Properties p)`
`void` | `init(java.lang.String[] s, java.util.Properties p)`
`boolean` | `initialised()` Is the ORB initialised?
`org.omg.CORBA.ORB` | `orb()` Return a reference to the ORB.
`void` | `orb(org.omg.CORBA.ORB o)` Provide a reference to the ORB.
`void` | `shutdown()` Shutdown the ORB.

Method Detail

### initialised

    public boolean initialised()

  Is the ORB initialised?

### init

    public void init()
              throws org.omg.CORBA.SystemException

  Initialise the ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### init

    public void init(java.applet.Applet a,
                     java.util.Properties p)
              throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### init

    public void init(java.lang.String[] s,
                     java.util.Properties p)
              throws org.omg.CORBA.SystemException

  Throws:
    `org.omg.CORBA.SystemException`

### shutdown

    public void shutdown()
                  throws org.omg.CORBA.SystemException

  Shutdown the ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### destroy

    public void destroy()
                 throws org.omg.CORBA.SystemException

  Destroy the ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### orb

    public org.omg.CORBA.ORB orb()
                          throws org.omg.CORBA.SystemException

  Return a reference to the ORB.

  Throws:
    `org.omg.CORBA.SystemException`

### orb

    public void orb(org.omg.CORBA.ORB o)
             throws org.omg.CORBA.SystemException

  Provide a reference to the ORB. Used if the application must initialise the ORB separately.

  Throws:
    `org.omg.CORBA.SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD